@media only screen and (max-width : 999px) {
body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
}

.container {
    display: flex;
}

h1 {
    border-bottom: 2px solid #333;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding-bottom: 10px;
    margin-left: 15px;
    font-size: 17px;
}


/* Filtres */
aside {
    background-color: #f5f5f5;
    width: 120px;
    margin-left : 2px;
}

#h2_filtre{
    margin-bottom : 10px; 
    font-size: 13px;
}

#filtres{
    height: 82vh;
    padding-top: 0px;
    padding-left : 2px;
    overflow-y: auto;
    scrollbar-width: none;
    font-size: 11px;
}

#filtres h3{
    margin-bottom: 5px;
}

.range-values {
    position: relative;
    height: 35px;
}

.rangeFilter{
    width: 70px;
}

.range-values p{
    margin: 0;
    padding: 0;
}
/* Fin filtres */


/* Cartes */
#imprimantesContainer {
    display: block;
    width: 100%; 
    text-align: center;
    padding-top: 10px;
    height: 82vh;
    overflow-y: auto;
}

.imprimante-card {
    display: inline-block;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 1);
    height: 140px;
    width: 80px;
    text-align: center;
    margin: 5px;
    font-size: 12px;
}

.image_imprimante {
    height: 70px;
    transition: transform 0.3s ease-in-out;
}

.imprimante-card h3{
    margin-bottom: 0;
}
.imprimante-card p{
    margin-top: 0;
}

.imprimante-card a{
    color: black;
    text-decoration: none;
}


/* Modale */
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;
    z-index: 1000;
  }

  .modal {
    position: fixed;
    top: 50%;
    left: 50%;
    background: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    padding: 20px;
    z-index: 1001;
    display: none;
    width: 90%;
    max-height: 90%;
    margin: auto;   
    padding-left: 0;
    transition: transform 0.3s ease-in-out;
  }

.modal.active {
    transform: translate(-50%, -50%) scale(1);
}

.column {
    flex: 1;
    text-align: center;
}

.column p{
    margin-top: 0px;
    font-size: 11px;
    margin: 0;
}

.image_imprimante_modale {
    max-width: 100%;
    max-width: 150px;
    max-height: 200px;
    height: auto;
}

  #close-button {
    position: absolute;
    right: -8px;
    top: -14px;
    font-size: 12px;
    padding: 0;
  }
  /* Fin Modale */

  #FiltreButton{
    margin-bottom: 10px;
    margin-left: 12px;
    color: black;
  }
}